# FoundationClasses
TKernel
NCollection

# NCollection_Sequence< TheItemType >::Node Class Reference

Class defining sequence node - for internal use by Sequence.

`#include <NCollection_Sequence.hxx>`

Inheritance diagram for NCollection_Sequence< TheItemType >::Node:

[legend]

## Public Member Functions

| Node (const TheItemType &theItem)
| Constructor.
const TheItemType & | Value () const
| Constant value access.
TheItemType & | ChangeValue ()
| Variable value access.
void * | operator new (size_t theSize, const Handle(NCollection_BaseAllocator)&theAllocator)
| Memory allocation.

## Private Attributes

TheItemType | myValue

### template<class TheItemType>
class NCollection_Sequence< TheItemType >::Node

## Constructor & Destructor Documentation

template<class TheItemType>
NCollection_Sequence< TheItemType >::Node::Node | ( | const TheItemType & | theItem | ) | `[inline]`

## Member Function Documentation

template<class TheItemType>
TheItemType& NCollection_Sequence< TheItemType >::Node::ChangeValue | ( |  | ) | `[inline]`

template<class TheItemType>
void* NCollection_Sequence< TheItemType >::Node::operator new | ( | size_t | theSize,
|  | const Handle(NCollection_BaseAllocator)& | theAllocator
| ) | `[inline]`

template<class TheItemType>
const TheItemType& NCollection_Sequence< TheItemType >::Node::Value | ( |  | ) | const`[inline]`

## Field Documentation

template<class TheItemType>
TheItemType NCollection_Sequence< TheItemType >::Node::myValue `[private]`

The documentation for this class was generated from the following file:

- NCollection_Sequence.hxx